Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.technicalconnector.cache
Enum CacheFactory.CacheType

    java.lang.Object
      java.lang.Enum<CacheFactory.CacheType>
          be.ehealth.technicalconnector.cache.CacheFactory.CacheType

All Implemented Interfaces:
  Serializable, Comparable<CacheFactory.CacheType>

Enclosing class:
  CacheFactory

    public static enum CacheFactory.CacheType

extends Enum<CacheFactory.CacheType>

Enum Constant Summary
`MEMORY` Cache type that don't survive a system restart.
`PERSISTENT` Cache type that survives a system restart.

Method Summary
`static CacheFactory.CacheType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheFactory.CacheType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PERSISTENT

    public static final CacheFactory.CacheType PERSISTENT

  Cache type that survives a system restart.

### MEMORY

    public static final CacheFactory.CacheType MEMORY

  Cache type that don't survive a system restart.

Method Detail

### values

    public static CacheFactory.CacheType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CacheFactory.CacheType c : CacheFactory.CacheType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CacheFactory.CacheType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSAUDIOLOGIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.